<template>
  <ModalDefault
    title="All right!"
    btnTitle="Amazingly!"
    ref="modal"
    @close="show(false, 0)"
    @submit="submit">
    <div class="modal_default-inner modal_default-activated">
      <div>
        <img
          class="modal_default-activated-check"
          src="~/static/icons/checkActiveted.png"
          alt="">
      </div>
      <div class="modal_default-activated-item">Your wallet is</div>
      <div class="modal_default-activated-item modal_default-activated-item-green">Successfully activated!</div>
    </div>
  </ModalDefault>
</template>

<script>
  import ModalDefault from '~/components/UI/Modal/Default';

  export default {
    name: "TheActivetedDialog",
    data() {
      return {
        amount: 0
      }
    },
    components: {
      ModalDefault
    },
    computed: {},
    methods: {
      submit() {
        //this.$emit('close');
        this.show(false, 0);
      },
      show(show = true, amount) {
        if (!show) this.$store.commit('common/SET_ACCOUNT_EXISTING', true);
        this.amount = amount;
        this.$refs['modal'].show(show);
      }
    },
  }
</script>
